/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.386 Revision 1.470
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.386 2009/03/10 14:43:35 a3li Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.470 2010/08/21 16:52:17 hwoarang Exp $
4
5 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
6 Stable on amd64 wrt bug #332957
7
8 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
9 Stable for PPC (bug #332957).
10
11 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
12 Stable for HPPA (bug #332957).
13
14*ruby-1.8.7_p302 (21 Aug 2010)
15
16 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
17 +ruby-1.8.7_p302.ebuild:
18 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
19 installation path.
20
21*ruby-1.8.6_p399 (19 Aug 2010)
22
23 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
24 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
25 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
26 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
27 installation path (reported by the x86 team in bug 332597)
28
29*ruby-1.9.2_rc2-r1 (18 Aug 2010)
30
31 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
32 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
33 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
34 the rubygems loading code. Add USE flag for psych.
35
36 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
37 ruby-1.9.2_rc2.ebuild:
38 Remove two keepdir that will try to keep an empty path, closes bug
39 #333163.
40
41 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
42 Marked ~ppc (bug #332593).
43
44 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
45 ruby-1.9.2_rc2.ebuild:
46 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
47
48 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
49 ruby-1.8.7_p299.ebuild:
50 Bump eselect-ruby dependency
51
52 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
53 -ruby-1.9.1_p429.ebuild:
54 Remove ebuild that is not target for unmask anyway.
55
56 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
57 ruby-1.9.2_rc2.ebuild:
58 Try 2 to fix the berkdb 5 issue on 1.9.
59
60 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
61 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
62 ruby-1.9.2_rc2.ebuild:
63 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
64 support for adding new patchsets without bumping the revision for all the
65 old ebuilds as well.
66
67*ruby-1.9.2_rc2 (14 Jul 2010)
68
69 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
70 +ruby-1.9.2_rc2.ebuild:
71 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
72 might cause _further_ build failures as it changed slightly behaviour.
73 You're going to need to rebuild rubygems and then all the packages
74 previously installed after upgrading to this.
75
76 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
77 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
78 -ruby-1.9.1_p376.ebuild:
79 Cleanup old versions.
80
81*ruby-1.9.1_p429 (04 Jul 2010)
82
83 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
84 +ruby-1.9.1_p429.ebuild:
85 Version bump to new 1.9.1 release.
86
87*ruby-1.8.7_p299 (23 Jun 2010)
88
89 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
90 +ruby-1.8.7_p299.ebuild:
91 Version bump.
92
93 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
94 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
95 remove useless comments
96
97 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
98 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
99 ruby-1.9.1_p376.ebuild:
100 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
101 dev.gentoo.org now.
102
103 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
104 ruby-1.9.1_p376.ebuild:
105 Use the correct RUBYLIB.
106
107*ruby-1.8.7_p249-r2 (18 May 2010)
108*ruby-1.8.6_p388-r1 (18 May 2010)
109
110 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
111 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
112 ruby-1.9.1_p376.ebuild, metadata.xml:
113 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
114 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
115 add USE flags for ncurses, readline and libedit, and properly depend on
116 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
117 Emacs versions support ruby-mode themselves and it should be even more
118 updated.
119
120*ruby-1.8.7_p249-r1 (06 May 2010)
121
122 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
123 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
124 309789 by Sune Kloppenborg Jeppesen.
125
126 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
127 ruby-1.8.7_p249.ebuild:
128 Use $PVR instead of $PV in patchset names
129
130 06 May 2010; Alex Legler <a3li@gentoo.org>
131 -files/ruby-1.8.6-memory-leak.diff,
132 -files/ruby18-mkmf-parallel-install.patch,
133 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
134 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
135 Remove old version. Cleanup in files/
136
137*ruby-1.9.1_p376 (01 May 2010)
138
139 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
140 Version bump. Fixes security bugs 296052 and 300468. No longer installs
141 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
142 instead.
143
144 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
145 -ruby-1.8.7_p174-r1.ebuild:
146 Remove vulnerable ebuilds, 300468
147
148 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
149 ruby-1.8.7_p249.ebuild:
150 amd64 stable, security bug 300468
151
152 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
153 ruby-1.8.7_p249.ebuild:
154 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
155
156 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
157 Stable for HPPA (bug #300468).
158
159 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
160 Stable for HPPA (bug #300468).
161
162 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
163 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
164
165 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
166 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
167
168 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
169 ruby-1.8.6_p388.ebuild:
170 stable x86, security bug 300468
171
172 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
173 ruby-1.8.7_p249.ebuild:
174 stable x86, security bug 300468
175
176*ruby-1.8.6_p388 (10 Jan 2010)
177
178 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
179 +ruby-1.8.6_p388.ebuild:
180 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
181 version. The new ebuild also has the fix for bug 168939.
182
183*ruby-1.8.7_p249 (10 Jan 2010)
184
185 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
186 +ruby-1.8.7_p249.ebuild:
187 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
188 version
189
190 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
191 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
192
193*ruby-1.8.7_p248 (25 Dec 2009)
194
195 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
196 Version bump
197
198 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
199 Remove old version.
200
201 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
202 Remove old version.
203
204 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
205 ia64/s390/sh stable wrt #288699
206
207 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
208 stable sparc, bug 288699
209
210 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
211 arm stable, bug #288699
212
213 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
214 amd64/x86 stable, bug #288699
215
216 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
217 ruby-1.8.7_p174-r1.ebuild:
218 Stable on alpha, bug #288699
219
220 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
221 ppc stable #288699
222
223 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
224 Stable for HPPA (bug #288699).
225
226 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
227 Marked ~hppa too.
228
229*ruby-1.8.7_p174-r1 (06 Oct 2009)
230
231 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
232 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
233 eselect-ruby cleanup feature.
234
235*ruby-1.9.1_p243 (09 Sep 2009)
236
237 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
238 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
239 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
240 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
241 -files/ruby19-rubygems-proxy.patch,
242 -files/ruby-1.9.1_p129-parallelmake.patch,
243 -files/ruby19-mkmf-parallel-install.patch:
244 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
245 168939. Cleaning up old patches.
246
247*ruby-1.8.6_p383 (20 Aug 2009)
248
249 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
250 Patchlevel bump.
251
252 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
253 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
254 ruby-1.9.1_p129-r1.ebuild:
255 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
256
257 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
258 Removing vulnerable ebuild, bug 273213.
259
260 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
261 Marking ruby-1.8.6_p369 ppc for bug 273213
262
263 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
264 ruby-1.9.1_p129-r1.ebuild:
265 Prepend our library path instead of overwriting it during src_install.
266 Thanks to the reporter of bug #274824.
267
268*ruby-1.8.7_p174 (18 Jun 2009)
269
270 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
271 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
272 Replacing 187_p173 with _p174 because of a regression. Unifying the
273 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
274 patchsets.
275
276 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
277 Marking ruby-1.8.6_p369 ppc64 for bug 273213
278
279 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
280 arm/ia64/s390/sh/sparc stable wrt #273213
281
282 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
283 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
284 Removing old version, minor cleanup
285
286 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
287 -files/ruby-1.8.6-openssl.patch,
288 -files/ruby-1.8.6-shortname_constants.patch,
289 -files/ruby-1.8.6_p111-r13657.patch,
290 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
291 Removing vulnerable old Ruby version and stale patches, bug 274108.
292
293 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
294 ruby-1.8.6_p369.ebuild:
295 Stable on alpha, bug #273213
296
297 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
298 Stable for HPPA (bug #273213).
299
300 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
301 ruby-1.8.6_p369.ebuild:
302 stable x86, security bug 273213
303
304 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
305 amd64 stable, security bug 273213.
306
307*ruby-1.8.7_p173 (10 Jun 2009)
308*ruby-1.8.6_p369 (10 Jun 2009)
309
310 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
311 +ruby-1.8.7_p173.ebuild:
312 Version bumps for bug #273213.
313
314*ruby-1.9.1_p129-r1 (27 May 2009)
315
316 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
317 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
318 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
319 +files/ruby-1.9.1_p129-parallelmake.patch:
320 Revision bump, add patches 1) to make Ruby behave more similarly between
321 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
322 extensions (undefined symbols in them will cause abort at runtime 3) to
323 remove a concurrency issue when building the dl extension that could
324 result in a broken dl.so.
325
326 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
327 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
328 Don't block rdoc-2 or later (which may enter Portage one day as it's
329 needed by some Rakefiles).
330
331 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
332 ruby-1.9.1_p129.ebuild:
333 Add ~x86-fbsd keyword.
334
335 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
336 keyword ~sparc-fbsd, bug #252315
337
338*ruby-1.9.1_p129 (15 May 2009)
339
340 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
341 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
342 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
343 included in every release.
344
345 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
346 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
347 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
348 ruby-1.8.7_p160.ebuild:
349 Removing vulnerable versions (#268515), fixing license (#233747).
350
351 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
352 Stable for HPPA (bug #268515).
353
354 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
355 Adapting rubygems notice.
356
357 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
358 amd64 stable, bug #268515.
359
360 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
361 arm/ia64/s390/sh/sparc stable wrt #268515
362
363 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
364 ruby-1.8.6_p368.ebuild:
365 stable x86, security bug 268515
366
367 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
368 ruby-1.8.6_p368.ebuild:
369 Stable on alpha, bug #268515
370
371 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
372 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
373
374*ruby-1.8.7_p160 (07 May 2009)
375*ruby-1.8.6_p368 (07 May 2009)
376
377 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
378 +ruby-1.8.7_p160.ebuild:
379 Version bump as per secbug 268515. NB: These are the first ebuilds that
380 no longer use ruby-config.
381
382*ruby-1.9.1-r1 (03 Apr 2009)
383*ruby-1.8.7_p72-r11 (03 Apr 2009)
384*ruby-1.8.6_p287-r13 (03 Apr 2009)
385
386 03 Apr 2009; Alex Legler <a3li@gentoo.org>
387 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
388 +files/ruby18-mkmf-parallel-install.patch,
389 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
390 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
391 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
392 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
393 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
394 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
395 happy.
396
397*ruby-1.9.1 (21 Mar 2009)
398
399 21 Mar 2009; Alex Legler <a3li@gentoo.org>
400 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
401 +ruby-1.9.1.ebuild:
402 Adding Ruby 1.9.1 for preliminary testing
403
404 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
405 ruby-1.8.6_p287-r12.ebuild:
406 Marked ~ppc for bug #252315.
4 407
5 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild: 408 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
6 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes 409 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
7 bug 261982. 410 bug 261982.
8 411

Legend:
Removed from v.1.386  
changed lines
  Added in v.1.470

  ViewVC Help
Powered by ViewVC 1.1.20